:root {
  --font-primary: "Sora", Arial, sans-serif;
  --font-secondary: "Manrope", Arial, sans-serif;

  --primary-color: #022e59;
  --secondary-color: #6e9a1c;
  --white-color: #ffffff;
  --dark-color: #000000;
  --grey-color: #f9f9fa;
}

html {
  scroll-behavior: smooth;
}

* {
  font-family: "Sora";
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  box-sizing: border-box;
}

body:has(dialog[open]) {
  overflow: hidden;
}

.button {
  padding: 14px;
  padding-right: 22px;
  padding-left: 22px;
  background-color: var(--secondary-color);
  color: var(--white-color);
  border: var(--white-color) 2px solid;
  font-size: 18px;
  border-radius: 50px;
  font-family: "Manrope";
  font-weight: 700;
  text-decoration: none;
  gap: 12px;
}

.button-2 {
  padding: 14px;
  padding-right: 22px;
  padding-left: 22px;
  background-color: var(--white-color);
  color: var(--primary-color);
  border: var(--primary-color) 2px solid;
  font-size: 18px;
  border-radius: 50px;
  font-family: "Manrope";
  font-weight: 700;
  text-decoration: none;
  gap: 12px;
}

.button-2:hover {
  color: var(--primary-color);
  background-color: var(--grey-color);
  cursor: pointer;
}

a {
  font-size: 18px;
  text-decoration: none;
  list-style: none;
  color: var(--dark-color);
}

.button:hover {
  background-color: var(--primary-color);
  color: var(--white-color);
  cursor: pointer;
}

.boxed-container {
  width: 1150px;
  margin-inline: auto;
  display: flex;
}

header {
  display: flex;
  justify-content: space-around;
  position: fixed;
  width: 100vw;
  top: 0;
  align-items: center;
  height: 90px;
  padding: 32px;
  background-color: var(--white-color);
  z-index: 100;
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
}

.header_logo {
  width: 182px;
}

h1 {
  color: var(--primary-color);
  font-family: "Sora";
  font-size: 52px;
  margin-bottom: 0;
}

h2 {
  color: var(--primary-color);
  font-family: "Sora";
  font-size: 32px;
  margin-top: 0;
}

h3 {
  color: var(--primary-color);
  font-family: "Sora";
  font-size: 20px;
  margin-top: 0;
}

hr {
  width: 80px;
  color: var(--primary-color);
  margin-top: 6px;
  margin-bottom: 6pxs;
}

p {
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
}

li {
  list-style: none;
}

.white-color {
  color: var(--white-color);
}

.blue-color {
  color: var(--primary-color);
}

navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 52px;
  width: 1150px;
}

navbar a {
  list-style: none;
  text-decoration: none;
  color: var(--dark-color);
  font-size: 16px;
  font-weight: 600;
}

navbar a:hover {
  color: var(--secondary-color);
}

navbar a:focus {
  color: var(--primary-color);
}

.cover {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  /* margin-top: 52px; */
  height: 100vh;
  background-image: url(img/skyline-frankfurt.jpg);
  background-size: contain;
  background-position: 600px;
  /* background-repeat: no-repeat; */
  box-shadow: inset 1050px 0 150px 140px #fff;
}

.hiddenOnDesktop {
  display: none;
}

.navbar .cover span {
  font-weight: 900;
}

.delivery-icon {
  width: 24px;
  display: flex;
}

.cover-buttons {
  display: flex;
  flex-direction: row;
  text-align: center;
  justify-content: center;
  gap: 12px;
}

.cover-buttons a {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.cover-inhalt {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  color: var(--dark-color);
  gap: 18px;
  left: 0;
}

.cover-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 16px;
  width: 60%;
}

.subtitle_cover {
  color: var(--secondary-color);
}

.cover_logo {
  width: 232px;
}

.green-color {
  color: var(--secondary-color);
}

.cover-title {
  font-size: 62px;
  font-weight: 900;
  text-shadow: -3px 2px 5px rgba(0, 0, 0, 0.044);
}

.cover p {
  font-weight: 200;
}

.unsere-kunden {
  background-color: var(--grey-color);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 22px;
  gap: 12px;
}

.unsere-kunden-inhalt {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.kunden-logos {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 92px;
  margin-top: 22px;
}

.unsere-kunden img {
  width: 142px;
  height: max-content;

  filter: brightness(0) saturate(100%) invert(10%) sepia(21%) saturate(2891%)
    hue-rotate(180deg) brightness(93%) contrast(93%);
}

.unsere-lösungen {
  margin-top: 52px;
  margin-bottom: 52px;
  gap: 12px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.unsere-lösungen-inhalt {
  display: flex;
  flex-direction: column;
}

.leistungen {
  margin-top: 32px;
  margin-bottom: 32px;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
}

.leistungen-box {
  width: 320px;
  height: 320px;
  display: flex;
  gap: 14px;
  text-align: left;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  padding: 24px;
  margin: 14px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
  border: 2px solid var(--grey-color);
}

.leistungen-box a {
  color: var(--secondary-color);
}

.leistungen-box a:hover {
  color: var(--primary-color);
}

.leistung-icon-webdesign {
  width: 62px;
  background-color: #ebf1fe;
  padding: 10px;
  border-radius: 12px;
}

.leistung-icon-grafikdesign {
  width: 62px;
  background-color: #e3f4e6;
  padding: 10px;
  border-radius: 12px;
}

.leistung-icon-seo {
  width: 62px;
  background-color: #fdf4e2;
  padding: 10px;
  border-radius: 12px;
}

.leistung-icon-support {
  width: 62px;
  background-color: #ede6fd;
  padding: 10px;
  border-radius: 12px;
}

.lösungen-funktionieren-inhalt {
  display: flex;
  gap: 12px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  width: 35%;
  margin-left: 52px;
}

.lösungen-funktionieren {
  display: flex;
  flex-direction: row;
  gap: 32px;
  margin-top: 52px;
  margin-bottom: 52px;
}

.lösungen-funktionieren img {
  width: 50%;
  border-radius: 0px 20px 20px 0px;
}

.lösungen-boxen {
  margin-top: 12px;
  margin-bottom: 32px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.lösung-box {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 6px;
}

.lösung-box img {
  width: 62px;
  background-color: var(--grey-color);
  border-radius: 50%;
}

.lösung-arrow-icon {
  width: 32px;
  height: 32px;
}

.projekte {
  display: flex;
  flex-direction: column;
  /* justify-content: center;
  align-items: center */
  gap: 12px;
  margin-top: 52px;
  margin-bottom: 52px;
  margin-left: 52px;
}

.projekte-inhalt {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.projekte-boxen {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: row;
  gap: 12px;
}

.projekte-box-webdesigns,
.projekte-box-speisekarte,
.projekte-box-seo,
.projekte-box-reservierungssystem {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
  background-repeat: no-repeat;
  background-position: top;
  width: 320px;
  height: 320px;
  border-radius: 12px;
  border: 2px solid var(--grey-color);
}

.projekte-box-webdesigns {
  background-image: url(img/projekt-ziyafetffm.png);
  background-size: cover;
}

.projekte-box-speisekarte {
  background-image: url(img/projekt-speisekarte.png);
  background-size: cover;
}

.projekte-box-seo {
  background-image: url(img/projekt-seo.png);
  background-size: cover;
}

.projekte-box-reservierungssystem {
  background-image: url(img/projekt-reservierung.png);
  background-size: cover;
}

.projekte-box-webdesign:hover,
.projekte-box-speisekarte:hover,
.projekte-box-seo:hover,
.projekte-box-reservierungssystem:hover {
  background-color: var(--grey-color);
  transition: background-size 0.5s ease;
}

.projekte-box-inhalt {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: row;
  background-color: var(--white-color);
  height: 82px;
  padding: 12px;
  bottom: 0;
}

.projekte-box-inhalt:hover {
  background-color: var(--grey-color);
}

.projekte-box-inhalt span {
  font-weight: 500;
}

.projekte-box-inhalt p {
  font-size: 16px;
  line-height: 28px;
  color: var(--primary-color);
}

.img-projekte {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  object-fit: cover;
  width: 100%;
  border-radius: 12px 12px 0px 0px;
}

.projekte-box-inhalt img {
  margin-right: 32px;
  width: 32px;
  object-fit: contain;
  border-radius: 50%;
  padding: 4px;
  border: 2px solid var(--primary-color);
  background-color: var(--white-color);
}

.projekte-box-inhalt img:hover {
  border: 2px solid var(--secondary-color);
  cursor: pointer;
}

.webdesign_cover_section {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 52px;
  height: 100vh;
  background-image: url(img/webdesign_cover.png);
  background-size: contain;
  background-position: 700px;
  background-repeat: no-repeat;
  box-shadow: inset 780px 0 150px 140px #fff;
}

.webdesign_cover_inhalt {
  margin-top: 52px;
  padding: 20px;
}

.webdesign_cover_img {
  width: 50%;
}

.webdesign_cover_texte {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  width: 50%;
  gap: 18px;
}

.webdesign_section2 {
  display: flex;
  background-color: var(--grey-color);
  padding-top: 52px;
  padding-bottom: 52px;
}

.webdesign_section4_inhalt {
  display: flex;
  background-color: var(--grey-color);
  padding-top: 52px;
  padding-bottom: 52px;
}

.webdesign_section4 {
  display: flex;
  background-color: var(--grey-color);
  padding-top: 52px;
  padding-bottom: 52px;
}

.webdesign_section2_inhalt {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}

.webdesign_section2_texte {
  display: flex;
  flex-direction: column;
  gap: 12px;
  width: 100%;
  margin-left: 52px;
  margin-right: 52px;
}

.webdesign_section2_img {
  width: 520px;
  height: 90%;
}

.webdesign_section2_pros {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 18px;
}

.webdesign_section2_pros_box {
  padding-left: 14px;
  padding-right: 14px;
  border-radius: 50px;
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
  background-color: var(--secondary-color);
  color: var(--white-color);
}

.webdesign_section2_pros p {
  font-size: 14px;
  font-weight: 500;
}

.webdesign_section2_pros span {
  display: flex;
  font-size: 24px;
}

.webdesign_section2,
.webdesign_section3 {
  margin-top: 52px;
  margin-bottom: 52px;
}

.webdesign_section2_boxen {
  display: grid;
  grid-template-columns: repeat(3, 2fr);
  align-items: flex-start;
  justify-content: center;
  gap: 28px;
}

.webdesign_section2_box {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: left;
  gap: 12px;
  height: max-content;
  padding: 10px;
  border-radius: 12px;
  border: solid 2px var(--grey-color);
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
  background-color: var(--white-color);
  height: max-content;
}

.webdesign_section3_inhalt {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.webdesign_section3_texte {
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  justify-content: center;
  gap: 12px;
  width: 60%;
  margin-left: 52px;
}

.webdesign_section3_boxen {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
  gap: 28px;
}

.webdesign_section3_box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
  gap: 12px;
  height: max-content;
  padding: 14px;
  border-radius: 12px;
  border: solid 2px var(--grey-color);
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
  background-color: var(--white-color);
}

.webdesign_section3_img {
  width: 50%;
  /* box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4); */
  border-radius: 12px;
  /* border: solid 2px var(--grey-color); */
  margin: 20px;
}

.webdesign_section3_pros {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  padding-left: 14px;
  padding-right: 14px;
  align-items: center;
  gap: 8px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
}

.webdesign_section3_pros p {
  font-size: 14px;
  font-weight: 600;
}

.webdesign_section3_pros span {
  display: flex;
  font-size: 24px;
}

.webdesign_section1 {
  display: flex;
  flex-direction: column;
  margin-top: 52px;
  margin-bottom: 52px;
}

.webdesign_section1_inhalt {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.webdesign-boxen {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 28px;
}

.webdesign-box {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: space-between;
  align-items: center;
  gap: 12px;
  width: 320px;
  height: 320px;
  padding: 24px;
  border-radius: 12px;
  border: solid 2px var(--grey-color);
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
}

.webdesign-box-icon {
  width: 62px;
  background-color: var(--grey-color);
  border-radius: 12px;
  padding: 10px;
}

.webdesign_section1_text {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 12px;
}

.calltoaction {
  display: flex;
  justify-content: center;
  align-items: center;
}

.calltoaction-inhalt {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-top: 52px;
  padding-bottom: 52px;
  gap: 24px;
  background-color: var(--secondary-color);
  width: 50%;
  border-radius: 12px 12px 0px 0px;
  color: var(--white-color);
  margin-bottom: 0px;
}

.grafikdesign_cover_section {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 52px;
  height: 100vh;
  background-image: url(img/projekt-speisekarte.png);
  background-size: contain;
  background-position: 800px;
  background-repeat: no-repeat;
  box-shadow: inset 880px 0 150px 140px #fff;
}

.grafikdesign_section1 {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--grey-color);
}

.grafikdesign_section1_inhalt {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 12px;
  margin: 42px;
}

.grafikdesign_boxen1 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.grafikdesign_inhalt {
  margin-top: 52px;
  margin-bottom: 52px;
}

.grafikdesign_box {
  justify-content: center;
  align-items: flex-start;
  display: flex;
  gap: 12px;
  padding: 12px;
}

.grafikdesign_box img {
  height: auto;

  width: 72px;
  padding: 12px;
  border-radius: 12px;
  background-color: var(--white-color);
}

.grafikdesign-img-boxen {
  display: flex;
  flex-direction: row;
  width: 60%;
}

.grafikdesign-img-box {
  text-align: center;
}

.grafikdesign_text {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  gap: 18px;
  width: 80%;
}

.grafikdesign-img2 {
  width: 240px;
  height: 180px;
  margin: 12px;
  object-fit: cover;
  border-radius: 12px;
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
}

.grafikdesign_section1_text {
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  display: flex;
  gap: 12px;
}

.seo_section2 {
  display: flex;
  background-color: var(--grey-color);
  padding-top: 52px;
  padding-bottom: 52px;
}

.seo_cover_section {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 52px;
  height: 100vh;
  background-image: url(img/seo-cover.png);
  background-size: cover;
  background-position: 600px;
  background-repeat: no-repeat;
  box-shadow: inset 850px 0 150px 140px #fff;
}

.seo_section2_texte {
  display: flex;
  flex-direction: column;
  gap: 12px;
  width: 100%;
  margin-left: 52px;
}

.seo_section3_img {
  width: 520px;
  height: 90%;
  margin-right: 52px;
}

.projekte_cover_section {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 52px;
  height: 100vh;
  background-image: url(img/projekte_cover.png);
  background-size: contain;
  background-position: 700px;
  background-repeat: no-repeat;
  box-shadow: inset 780px 0 150px 140px #fff;
}

.kunden-projekte {
  text-align: center;
  margin-top: 32px;
  margin-bottom: 52px;
}

.kunden-projekt-inhalt {
  display: flex;
  width: 100%;
}

.kunden-projekt-boxen {
  display: grid;
  grid-template-columns: repeat(4, 2fr);
  align-items: flex-start;
  justify-content: center;
  gap: 28px;
}

.kunden-projekt-box {
  height: 220px;
  border: solid 2px var(--grey-color);
  background-color: var(--secondary-color);
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4);
  border-radius: 12px;
  text-align: center;
  overflow: hidden;
  padding-top: 10px;
}

.kunden-projekt-box a {
  font-size: 18px;
  padding-bottom: 12px;
  color: var(--white-color);
}

.kunden-projekt-box a:hover {
  color: var(--primary-color);
}

.kunden-projekt-box-img {
  width: 100%;
  margin-top: 10px;
  border-radius: 12px;
  transform: translateY(0);
  transition: transform 2.5s ease-in-out;
}

.kunden-projekt-box-img:hover {
  transform: translateY(calc(-100% + 170px));
}

.kontakt_cover_section {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 52px;
  height: 100vh;
  background-image: url(img/kontakt_cover.png);
  background-size: contain;
  background-position: 340px;
  background-repeat: no-repeat;
  box-shadow: inset 780px 0 150px 140px #fff;
}

.contact-section {
  background-color: var(--grey-color);
}

.contact-boxen {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: flex-start;
  margin-top: 32px;
  margin-bottom: 32px;
  gap: 24px;
  width: 100%;
}

.contact-box {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  text-align: left;
  align-items: center;
  gap: 10px;
  width: 340px;
  height: 80px;
  padding: 12px;
  border-radius: 12px;
  /* border: solid 2px var(--grey-color);
  box-shadow: 0px 0px 10px 0px rgba(200, 200, 200, 0.4); */
}

.contact-box-icon {
  width: 52px;
  background-color: var(--white-color);
  border-radius: 12px;
  padding: 10px;
}

footer {
  width: 100%;
  background-color: var(--primary-color);
  color: var(--white-color);
  padding-left: 0px;
  padding-right: 0px;
  overflow: hidden;
  bottom: 0;
}

.footer-box1 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: left;
  width: 50%;
  gap: 12px;
}

.footer-box2 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: left;
  width: 20%;
  gap: 12px;
}

.footer-box1 a,
.footer-box2 a {
  color: var(--white-color);
}

.footer-box1 a:hover,
.footer-box2 a:hover {
  color: var(--secondary-color);
}

.footer-inhalt {
  display: flex;
  flex-direction: row;
  gap: 52px;
}

footer a:hover {
  color: var(--white-color);
  cursor: pointer;
}

.footer_inhalt {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: row;
  color: var(--white-color);
  gap: 12px;
  padding-top: 52px;
  padding-bottom: 52px;
}

.footer-logo-text {
  font-size: 24px;
}

.rechtliches_footer {
  display: flex;
  flex-direction: row;
  gap: 12px;
}

.rechtliches_footer a {
  gap: 8px;
  text-decoration: none;
  list-style: none;
  color: var(--white-color);
}

.footer_logo {
  width: 172px;
}

.subfooter {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: row;
  gap: 14px;
  background-color: var(--grey-color);
  color: var(--primary-color);
  padding: 10px;
  margin-top: 22px;
}

.subfooter-inhalt {
  justify-content: flex-start;
  display: flex;
  gap: 14px;
}

.subfooter-content {
  display: flex;
  gap: 14px;
}

[id] {
  scroll-margin-top: 120px;
}

.subfooter p {
  font-size: 14px;
}

.subfooter a {
  text-decoration: none;
  color: var(--primary-color);
  font-size: 14px;
}
.subfooter a:hover {
  color: var(--primary-color);
}

.footer_socialicons {
  width: 32px;
}

.popup-1 {
  position: fixed;
  text-align: center;
  border-radius: 10px;
  margin: 32px;
  width: 420px;
  padding: 32px;
  top: 25%;
  margin-inline: auto;
  background-color: var(--white-color);
}

dialog::backdrop {
  background-color: rgba(0, 0, 0, 0.5);
}
/* 
dialog[open] {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: flex-start;
  align-items: flex-start;
  top: 50%;
  left: 50%;
  right: 0px;
  transform: translate(-50%, -50%);
  margin: 0;
  box-shadow: 0 0 0 100vmax rgba(0, 0, 0, 0.7);
  z-index: 9999;
  gap: 12px;
  overflow: hidden;
} */

.mobile-menu {
  display: none;
  flex-direction: column;
  position: fixed;
  top: 0;
  right: 0;
  width: 65%;
  max-width: 380px;
  height: 100vh;
  padding: 30px;
  background: white;
  z-index: 9999;
  box-shadow: -10px 50px 40px rgba(0, 0, 0, 0.3);
  border-radius: 20px 20px 0px 0px;
  border: 2px solid var(--grey-color);
  backdrop-filter: blur(10px);
  background-color: #ffffffd8;
  transition: transform 2s ease-in-out;
}

.mobile-menu::backdrop {
  background-color: rgba(0, 0, 0, 0.5);
}

.menu-hamburger-icon {
  width: 38px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.097);
  padding: 4px;
  border-radius: 6px;
}

.menu-hamburger-icon:hover {
  cursor: pointer;
}

.nav-sidebar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 32px;
  margin-top: 32px;
}

.whatsapp-icon {
  width: 52px;
  padding: 6px;
  position: fixed;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.097);
  bottom: 30px;
  right: 0px;
  background-color: var(--secondary-color);
  border-radius: 50%;
}

.nav-sidebar a {
  font-size: 20px;
}

.nav-sidebar a:hover,
.sidebar-icon-closer:hover {
  color: var(--primary-color);
  cursor: pointer;
}

.nav-sidebar a:active {
  color: var(--secondary-color);
}

.sidebar-icon-closer {
  background-color: var(--primary-color);
  border-radius: 6px;
  width: 38px;
  padding: 2px;
}

.mobile-menu.active {
  display: block;
}

.formular-section-inhalt {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
  gap: 22px;
}

.contact-profil-box {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.formular-section {
  margin-top: 32px;
  margin-bottom: 32px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.contact-profil {
  width: 320px;
  height: 320px;
  object-fit: cover;

  background-color: var(--grey-color);
  border-radius: 50%;
  padding: 12px;
}

.contact-profil-box-font {
  font-size: 14px;
  font-weight: 400;
}

.contact-profil-box {
  display: flex;
  text-align: center;
}

.impressum-datenschutzbox {
  margin-top: 92px;
  display: flex;
  flex-direction: column;
  padding-top: 52px;
  padding-bottom: 52px;
  gap: 12px;
}

.restaurant_open {
  border-radius: 0px 10px 0px 0px;
  bottom: 0px;
  position: fixed;
  padding: 6px;
  background-color: #276830; /* Dein Grün */
  color: white;
  font-size: 14px;
}

.restaurant_closed {
  border-radius: 0px 10px 0px 0px;
  bottom: 0px;
  position: fixed;
  padding: 6px;
  background-color: var(--secondary-color); /* Dein Dunkelrot */
  color: white;
  font-size: 14px;
}

.restaurant_vacation {
  border-radius: 0px 10px 0px 0px;
  bottom: 0px;
  position: fixed;
  padding: 6px;
  background-color: #ffcc00; /* Gelb für Urlaub */
  color: black;
  font-size: 14px;
}

.danke_icon {
  width: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.danke_box {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 100vw;
  height: 100vh;
  background-color: #f9fafb;
}

.danke_text {
  color: #707985;
}

.logo_dankeseite {
  width: 180px;
}

.danke_button {
  border: #dfdfdf 2px solid;
  border-radius: 50px;
  background-color: white;
  padding: 12px;
}

.danke_button:hover {
  background-color: rgb(238, 238, 238);
}

.danke_button a {
  color: #707985;
  text-transform: none;
  font-size: 14px;
}

.danke_box_inhalt {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border-radius: 8px;
  background-color: #ffffff;
  gap: 12px;
  padding: 32px;
  border: #dfdfdf 2px solid;
}

@media (max-width: 768px) {
  .hiddenOnMobile {
    display: none;
  }

  .hiddenOnDesktop {
    display: block;
  }

  h1 {
    font-size: 32px;
  }

  .menusidebar {
    position: absolute;
    width: 50vw;
    right: 0;
    margin-top: 10vh;
    display: flex;
    padding: 20px;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
    gap: 12px;
    background-color: var(--grey-color);
    color: var(--primary-color);
    z-index: 100;
  }

  .menu {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 12px;
  }

  .padding-container {
    padding: 20px;
  }

  /*   body {
    overflow: hidden;
  } */

  .cover-inhalt {
    display: flex;
    text-align: left;
    margin-top: 52px;
    width: 100%;
    height: max-content;
    padding: 20px;
  }

  .cover-content {
    width: 100%;
  }

  .cover {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    height: max-content;
    box-shadow: inset 330px 0px 300px 90px #ffff;
    background-size: cover;
    background-repeat: none;
    background-position: 40%;
    padding: 10px;
  }

  .cover_logo {
    width: 152px;
    background-size: cover;
    background-position: center;
  }

  .cover-title {
    font-size: 46px;
    text-align: left;
  }

  .cover-buttons {
    width: 100%;
  }

  .subtitle_cover {
    text-align: left;
    margin-top: 42px;
    font-size: 14px;
  }

  .cover-buttons {
    display: flex;
    flex-direction: column;
  }

  .unsere-kunden {
    width: 100%;
  }

  .kunden-logos {
    width: 100%;
    justify-content: flex-start;
    align-items: center;
    overflow-x: scroll;
  }

  .unsere-kunden-inhalt {
    text-align: center;
    width: 100%;
  }

  .unsere-lösungen {
    padding: 20px;
    margin-bottom: 0px;
  }

  .leistungen {
    flex-direction: column;
  }

  .lösungen-funktionieren {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 0px;
  }

  .lösungen-funktionieren img {
    width: 90%;
  }

  .lösungen-funktionieren-inhalt {
    padding: 20px;
    width: 100%;
    margin-left: 0;
  }

  .lösung-box img {
    width: 32px;
  }

  .projekte {
    text-align: left;
    margin-left: 0px;
    padding: 20px;
  }

  .projekte-inhalt {
    text-align: left;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
  }

  .projekte-boxen {
    width: 100%;
    justify-content: flex-start;
    align-items: center;
    overflow-x: scroll;
  }

  .webdesign_cover_section {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    height: max-content;
    box-shadow: inset 220px 0px 200px 90px #ffff;
    background-size: cover;
    background-repeat: none;
    background-position: 00%;
    padding: 10px;
  }

  .webdesign_cover_texte {
    width: 100%;
  }

  .webdesign_section1_inhalt {
    width: 100%;
  }

  .webdesign-boxen {
    flex-direction: column;
  }

  .webdesign_section2 {
    margin-top: 0px;
    margin-bottom: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    display: flex;
    flex-direction: column-reverse;
  }

  .webdesign_section4_inhalt {
    display: flex;
    flex-direction: column;
    padding: 20px;
    width: 100%;
  }

  .webdesign_section2_inhalt {
    flex-direction: column-reverse;
    padding: 20px;
    width: 100%;
  }

  .webdesign_section2_img {
    width: 90%;
  }

  .webdesign_section2_texte {
    margin-left: 0px;
    margin-right: 0px;
  }

  .webdesign_section2_boxen {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }

  .webdesign_section2_box {
    flex-direction: column;
  }

  .webdesign_section3 {
    padding: 20px;
    margin-bottom: 0px;
    margin-top: 0px;
  }

  .webdesign_section3_inhalt {
    width: 100%;
  }

  .webdesign_section3_texte {
    width: 100%;
    margin-left: 0px;
  }

  .webdesign_section3_boxen {
    flex-direction: column;
  }

  .webdesign_section4 {
    flex-direction: column;
  }

  .calltoaction-inhalt {
    width: 90%;
    text-align: center;
  }

  .grafikdesign_cover_section {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    height: max-content;
    box-shadow: inset 120px 0px 200px 90px #ffff;
    background-size: cover;
    background-repeat: none;
    background-position: 00%;
    padding: 10px;
  }

  .grafikdesign_section1_inhalt {
    flex-direction: column;
  }

  .grafikdesign_boxen1 {
    display: flex;
    flex-direction: column;
  }

  .grafikdesign_box {
    flex-direction: column;
  }

  .grafikdesign_inhalt {
    width: 100%;
    flex-direction: column;
    text-align: center;
    padding: 20px;
    margin-bottom: 0px;
  }

  .grafikdesign_text {
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .grafikdesign-img-boxen {
    width: 100%;
    overflow-x: scroll;
    margin-top: 42px;
    margin-bottom: 24px;
  }

  .seo_cover_section {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    height: max-content;
    box-shadow: inset 150px 0px 200px 90px #ffff;
    background-size: cover;
    background-repeat: none;
    background-position: 0%;
    padding: 10px;
  }

  .seo_section2 {
    flex-direction: column-reverse;
  }

  .seo_section3_img {
    width: 100%;
  }

  .seo_section2_texte {
    margin-left: 0px;
  }

  .grafikdesign-img2 {
    width: 232px;
  }

  .projekte_cover_section {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    height: max-content;
    box-shadow: inset 120px 0px 200px 90px #ffff;
    background-size: cover;
    background-repeat: none;
    background-position: 20%;
    padding: 10px;
  }

  .kunden-projekte {
    overflow-x: scroll;
    width: 100%;
  }

  .kunden-projekt-box {
    width: 320px;
    height: 320px;
  }

  .kunden-projekt-boxen {
    display: flex;
    flex-direction: row;
  }

  .kunden-projekt-box-img:hover {
    transform: translateY(calc(-100% + 270px));
  }

  .kunden-projekte-inhalt {
    padding: 20px;
  }

  .kontakt_cover_section {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    height: max-content;
    box-shadow: inset 190px 0px 200px 90px #ffff;
    background-size: cover;
    background-repeat: none;
    background-position: 40%;
    padding: 10px;
  }

  .contact-boxen {
    flex-direction: column;
    padding: 20px;
    margin-top: 0px;
    margin-bottom: 0px;
    gap: 0px;
  }

  .contact-profil-box {
    width: 100%;
  }

  .contact-section-inhalt {
    width: 100%;
  }

  .contact-profil {
    width: 230px;
    height: 230px;
  }

  .formular-section {
    margin-top: 0px;
  }

  .formular-section-inhalt {
    flex-direction: column-reverse;
    padding: 20px;
    width: 100%;
  }

  .footer_inhalt {
    padding: 20px;
    width: 100%;
  }

  .footer-inhalt {
    flex-direction: column;
    width: 100%;
    gap: 38px;
  }

  .footer-box1,
  .footer-box2 {
    width: 100%;
  }

  .subfooter {
    flex-direction: column;
    padding-left: 20px;
    gap: 4px;
    margin-top: 0px;
  }

  .subfooter-inhalt {
    align-items: flex-start;
    flex-direction: row;
  }

  .subfooter-content {
    display: flex;
    flex-direction: column;
    gap: 4px;
  }

  .impressum-datenschutzbox {
    width: 100%;
    padding: 20px;
    overflow: hidden;
  }

  .cover_reservierung {
    margin-top: 32px;
    height: 50vh;
  }

  .form_inhalt_box {
    display: flex;
    align-items: flex-start;
    width: 100%;
    flex-direction: column;
    padding: 20px;
  }

  .info-box-reservation {
    padding-top: 0;
    padding-bottom: 0;
  }

  .popup-1 {
    margin: 20px;
    width: 90%;
  }

  .header_logo {
    width: 162px;
  }

  #header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

  header .button {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    height: 42px;
  }

  header .button:hover {
    background-color: var(--white-color);
    color: var(--secondary-color);
  }

  .danke_box {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 14px;
  }
}
